Summary: Russian man pages from the Linux Documentation Project
Name: man-pages-ru
Version: 0.97
Release: 2%{?dist}
License: Distributable
Group: Documentation
URL: http://linuxshare.ru/projects/trans/
Source: manpages-ru-%{version}.rh.tar.bz2
Source2: http://alexm.here.ru/manpages-ru/download/manpages-ru-0.7.tar.gz
Source3: http://linuxshare.ru/projects/trans/manpages-ru-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch


%description
Manual pages from the Linux Documentation Project, translated into
Russian.

%prep
%setup -q -n manpages-ru-%{version}.rh

%build

%install
rm -fr $RPM_BUILD_ROOT
for i in man*/*; do
        iconv -f koi8-r -t UTF-8 < $i > $i.new
        mv -f $i.new $i
done
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
LC_ALL=ru_RU make install INSTALLPATH=$RPM_BUILD_ROOT/%{_mandir} \
    LANG_SUBDIR=ru
 

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README
%dir %{_mandir}/ru
%{_mandir}/ru/*

%changelog
* Fri Mar  2 2007 Ivana Varekova <varekova@redhat.com> - 0.97-2
- Resolves: 226129
  incorporate package review feedback

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.97-1.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Oct 21 2004 Adrian Havill <havill@redhat.com> 0.97-1
- Russian translation project active again; newest update merged with
  working Makefile (#131659)

* Wed Sep 29 2004 Elliot Lee <sopwith@redhat.com> 0.7-8
- Rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.7-6
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.7-5
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.7-4
- rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.7-1
- 0.7

* Thu Aug  2 2001 Trond Eivind Glomsrød <teg@redhat.com>
- s/Copyright/License/
- Own %%{_mandir}/ru

* Wed Apr  4 2001 Trond Eivind Glomsrød <teg@redhat.com>
- roff fixes

* Mon Feb  5 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Version 0.6

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsrød <teg@redhat.com>
- first build
